#include <bits/stdc++.h>
using namespace std;
int main(){
    long long a,r=0,b;
    long long n[100],s;
    cin>>a;
    s=1;
    for(int i=1;i<55;i++){
        if(i%3==1)n[i]=1*s;
        if(i%3==2)n[i]=2*s;
        if(i%3==0){n[i]=5*s;s=s*10;}
        if(n[i]>a){b=i;break;}
    }
    for(int i=b-1;i>0;i--){
       r+=a/n[i];
       a=a%n[i];
       if(a==0)break;
    }
    cout << r << endl;
    return 0;
}